upstream:
    maintainer: Billyfighter

longdescription: This quest will bring you back in time, to solve a mystery untouched for hundreds of years. You'll also face off against Sheogorath's powerful minions for his amusement. Level 15-20 is recommended. Vampire characters can also do this quest.
